Skip to main content
PUT
/
comments
/
{comment_id}
Modify a reply to a review
curl --request PUT \
  --url https://api.partoo.co/v2/comments/{comment_id} \
  --header 'Content-Type: application/json' \
  --header 'x-APIKey: <api-key>' \
  --data '
{
  "content": "Merci ❤️"
}
'
import requests

url = "https://api.partoo.co/v2/comments/{comment_id}"

payload = { "content": "Merci ❤️" }
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: 'Merci ❤️'})
};

fetch('https://api.partoo.co/v2/comments/{comment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 82938,
  "partner_id": "accounts/114063712393225091258/locations/74805271119400652054",
  "created": "2019-08-01T19:15:54.256000+02:00",
  "author_name": "Castorche",
  "content": "Merci ❤️",
  "date": "2017-08-01T19:15:54.256000+02:00",
  "update_date": "2017-08-01T19:15:54.256000+02:00",
  "can_edit": true,
  "review_id": 34,
  "parent_id": 123,
  "user_id": "123456789abcdef2f60c42ff",
  "is_reply_suggestion": true,
  "replies": "<array>"
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

comment_id
integer
required

Comment id

Example:

82938

Body

application/json

Request body to modify a reply

content
string<text>
required

Content of your Reply

Example:

"Merci ❤️"

Response

OK

Reply to a review

id
integer

Comment id

Example:

82938

partner_id
string

Review id on publisher

Example:

"accounts/114063712393225091258/locations/74805271119400652054"

created
string<datetime>

Creation date on Partoo

Example:

"2019-08-01T19:15:54.256000+02:00"

author_name
string

The author name of the review.

Note: Replies don't have an author.

Example:

"Castorche"

content
string

Reply content

Example:

"Merci ❤️"

date
string<datetime>

Comment date

Example:

"2017-08-01T19:15:54.256000+02:00"

update_date
string<datetime>

Comment update date. Only specified if the comment was updated

Example:

"2017-08-01T19:15:54.256000+02:00"

can_edit
boolean

If the current user can or cannot edit a reply

Note: This applies on Facebook replies only. A reply left by an external user on Facebook cannot be edited.

Example:

true

review_id
integer

Review id

Example:

34

parent_id
integer

id of the parent comment. Is only specified if the comment is a reply to another comment

Note: This applies on Facebook replies only.

user_id
string

User id of the comment author

Example:

"123456789abcdef2f60c42ff"

is_reply_suggestion
boolean

If AI reply suggestion was used to generate this comment

replies
array

List of replies to this comment